from pydantic import BaseModel


class OrgDto(BaseModel):
    """Тип Org представляет собой данные организации. Используется в методах получения, создания,
редактирования и удаления организаций"""
    orgName: str  # Полное имя организации (включая путь и все дочерние организации, разделенные символом " \ " (отделённым от названий пробелами с обеих сторон)

class DepartDto(BaseModel):
    """Тип Depart представляет собой данные подразделения и используется в методах получения,
создания, редактирования и удаления подразделений"""
    depName: str  # Полное имя подразделения включая путь и все дочерние организации, разделенные символом " \ " (отделённым от названий пробелами с обеих сторон)
    orgName: str  # Полное имя родительской организации включая путь и все дочерние организации, разделенные символом " \ " (отделённым от названий пробелами с обеих сторон)
